import { TGalleryConfig, TLogger } from "@home-gallery/types";
import { TPluginContext } from "../types.js";
type TPluginOption = {
    file?: string;
    publicDir?: string;
    browserOnly?: boolean;
};
export declare class PluginLoader {
    #private;
    plugins: TPluginContext[];
    log: TLogger;
    config: TGalleryConfig;
    constructor(config: TGalleryConfig);
    importPlugin(file: string, options?: TPluginOption): Promise<any>;
    addPlugin(plugin: any, options?: TPluginOption): Promise<any>;
    readPackageJson(file: string): Promise<any>;
    getPackageEntry(pkg: any, dir: string): Promise<string>;
    loadPlugin(dirOrFile: string, baseDir?: string | null): Promise<any>;
    loadPluginDir(fileOrDir: string): Promise<any>;
    getResolvedPlugins(): TPluginContext[];
}
export {};
