const toSanitizeName = (name) => name.replaceAll(/[^A-Za-z0-9]+/g, "-").replaceAll(/(^-+|-+$)/g, "");
const toDashName = (name) => {
  const sanitizedName = toSanitizeName(name);
  return sanitizedName.replaceAll(/[A-Z]+/g, (char, pos) => `${pos == 0 ? "" : "-"}${char.toLowerCase()}`).replaceAll(/-+/g, "-");
};
const toCamelName = (name) => {
  const dashName = toDashName(name);
  return dashName.replaceAll(/-[a-z]+/g, (char) => char.substring(1, 2).toUpperCase() + char.substring(2));
};
const toClassName = (name) => {
  const camelName = toCamelName(name);
  return camelName.charAt(0).toUpperCase() + camelName.slice(1);
};
export {
  toCamelName,
  toClassName,
  toDashName,
  toSanitizeName
};
//# sourceMappingURL=nameConverter.js.map
